    ADCON1 = 0x0F;  // no analog inputs used
    TRISA = 0x80;   // 1000.0000 Port direction, 0=out
                    // .0 = 
                    // .1 = 
                    // .2 = 
                    // .3 = 
                    // .4 = 
                    // .5 =  
                    // .6 = OscOut
                    // .7 = OscIn
    LATA = 0xFF;    // 1111.1111 Port data
   
    TRISB = 0xC1;   // 1100.0001 Port direction, 0=out
                    // .0 = ISA_IRQ5
                    // .1 = 
                    // .2 = 
                    // .3 = 
                    // .4 = 
                    // .5 = ISA_RESET
                    // .6 = PGC
                    // .7 = PGD
    LATB = 0x21;    // 0010.0001 Port data
    
    TRISC = 0x80;   // 1000.0000 Port direction, 0=out
                    // .0 = ISA_SA0
                    // .1 = ISA_SA1
                    // .2 = ISA_SA2
                    // .3 = ISA_SA3
                    // .4 = ISA_SA4
                    // .5 = ISA_SA5
                    // .6 = TX
                    // .7 = RX
    LATC = 0xC0;    // 1100.0000 Port data
        
    TRISD = 0xFF;   // 1111.1111 Port direction, 0=out
                    // .0 = ISA_SD0
                    // .1 = ISA_SD1
                    // .2 = ISA_SD2
                    // .3 = ISA_SD3
                    // .4 = ISA_SD4
                    // .5 = ISA_SD5
                    // .6 = ISA_SD6
                    // .7 = ISA_SD7
    LATD = 0xFF;    // 1111.1111 Port data 
    
    TRISE = 0x08;   // 0000.1000 Port direction, 0=out (no PSP mode)
                    // .0 = ISA_IOR
                    // .1 = ISA_IOW
                    // .2 = 
                    // .3 = MCLR/VPP
    LATE = 0x0B;    // 0000.1011 Port data
        
    OSCCON = 0x7F;  // 0111.1111 Set oscillator control register

    SPBRG = 3; // set 31250 bps @ 8MHz   
    TXSTA = 0xA3; // Enable serial TX
    RCSTA = 0x91; // Enable serial port1, enable serial RX
    PIE1bits.RCIE = 1; // enable Serial RX interrupt
    PIR1bits.RCIF = 0; // clear any pending interrupt flag

    T0CON = 0xD3; // 1101.0011 Enable TMR0 as 8 bit, presc=16
    INTCONbits.TMR0IF = 0; // clear any pending interrupt flag
    INTCONbits.TMR0IE = 1; // Enable TMR0 Overflow interrupt (1.6384mS @10MHz)

    INTCONbits.PEIE = 1; // peripheral interrupts enable
    INTCONbits.GIE = 1; // Global interrupt enable

    ISA_RESET = 0; // remove the ISA reset condition
